This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 174642 - init.d script for mdadm (mdmonitor) calls daemon() incorrectly
init.d script for mdadm (mdmonitor) calls daemon() incorrectly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
file://etc/init.d/mdmonitor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 19:26 EST by David R. Linn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.2-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 15:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David R. Linn 2005-11-30 19:26:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.8) Gecko/20051130 Firefox/1.5

Description of problem:
The call to the daemon function (from /etc/init.d/functions) in the start function of /etc/init.d/mdmonitor is

daemon --check --user=root mdadm ${OPTIONS}

This is not correct syntactically.  It tells the daemon function to check for
a process named "--user=root"

I suspect that the intention was

daemon --check=mdadm/mdadm --user=root mdadm ${OPTIONS}

which will check the correct path for the pid file, *BUT* doesn't actually
do the right thing either.  The daemon function is simply not coded to handle
a pid file that is not directly in /var/run


Version-Release number of selected component (if applicable):
mdadm-1.11.0-4.fc4

How reproducible:
Always

Steps to Reproduce:
1.cat /etc/init.d/mdmonitor
2.
3.
  

Additional info:
Comment 1 David R. Linn 2005-11-30 22:46:37 EST
For what it's worth, the killproc() call in mdmonitor has a similar problem.  
The daemon() and killproc() functions are designed to work with pid files 
in /var/run and the mdadm pid file is in /var/run/mdadm.  It's not clear how 
to me how to resolve this incompatibility.
Comment 2 Christian Iseli 2007-01-19 19:38:32 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 David R. Linn 2007-01-19 19:47:37 EST
This is still a problem in FC5, patched up to about 6 weeks ago.
I do not have any FC6 systems to check.
Comment 4 Doug Ledford 2007-07-03 12:56:33 EDT
This problem still exists.  However, I'm correcting it.  It will be solved in
mdadm-2.6.2-2 or later.
Comment 5 Fedora Update System 2007-07-05 15:12:11 EDT
mdadm-2.6.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-07-09 11:47:52 EDT
mdadm-2.6.2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-07-10 02:42:05 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-07-20 15:35:06 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.